#!/usr/bin/python3

# author: TODO

import sys
from pprint import pprint
from collections import namedtuple
from typing import List

# --[Framework]-----------------------------------------------------------------
class Job(object):
    duration : int
    deadline : int
    machine : int
    previous : List[int]

    def __repr__(self):
        return "Job(%s,%s,%s,%s)" % (
            self.duration, self.deadline, self.machine,
            self.previous)

    @staticmethod
    def from_line(line):
        values = map(int,
                     filter(bool,
                            line.strip().split(",")))
        j = Job()
        j.duration, j.deadline, j.machine, *j.previous = \
            values
        return j


# --[/Framework]-----------------------------------------------------------------

def run(jobs : List[Job]):
    for idx, j in enumerate(jobs, start=1):
        print(f"#{idx}, {j.duration}, {j.deadline}, {j.machine}, {j.previous}")


if __name__ == '__main__':
    jobs = list(map(Job.from_line, sys.stdin.readlines()))
    run(jobs)
