#!/bin/bash
PROBLEM_FILE=$1

if [ -z $PROBLEM_FILE ]; then
    echo "No input given"
    exit 1
fi

function execute() {
    #echo "cat $PROBLEM_FILE | $@ > last-run.smt2 && z3 -smt2 last-run.smt2"
    cat $PROBLEM_FILE | \
        $@ > last-run.smt2 && cat -n last-run.smt2 && z3 -smt2 last-run.smt2
}

#--------------------------------------------------------------------------------
if [ -f jobscheduling.py ]; then
    echo "Found Python3 version"
    execute python3 -O jobscheduling.py
fi

if [ -f JobScheduling.java ]; then
    echo "Found Java version"
    if [ ! -f JobScheduling.class ] || [ ./JobScheduling.java -nt ./JobScheduling.class ]; then
        echo "Recompile Java"
        javac JobScheduling.java
    fi
    execute java JobScheduling
fi
